org.keycloak.representations.info

## Class ServerInfoRepresentation

- java.lang.Object
- - org.keycloak.representations.info.ServerInfoRepresentation

-     public class ServerInfoRepresentation
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerInfoRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,List<ProtocolMapperRepresentation>>` | `getBuiltinProtocolMappers()`
    `List<Map<String,String>>` | `getClientImporters()`
    `Map<String,List<ClientInstallationRepresentation>>` | `getClientInstallations()`
    `Map<String,List<ComponentTypeRepresentation>>` | `getComponentTypes()`
    `Map<String,List<String>>` | `getEnums()`
    `List<Map<String,String>>` | `getIdentityProviders()`
    `MemoryInfoRepresentation` | `getMemoryInfo()`
    `List<PasswordPolicyTypeRepresentation>` | `getPasswordPolicies()`
    `ProfileInfoRepresentation` | `getProfileInfo()`
    `Map<String,List<ProtocolMapperTypeRepresentation>>` | `getProtocolMapperTypes()`
    `Map<String,SpiInfoRepresentation>` | `getProviders()`
    `List<Map<String,String>>` | `getSocialProviders()`
    `SystemInfoRepresentation` | `getSystemInfo()`
    `Map<String,List<ThemeInfoRepresentation>>` | `getThemes()`
    `void` | `setBuiltinProtocolMappers(Map<String,List<ProtocolMapperRepresentation>> builtinProtocolMappers)`
    `void` | `setClientImporters(List<Map<String,String>> clientImporters)`
    `void` | `setClientInstallations(Map<String,List<ClientInstallationRepresentation>> clientInstallations)`
    `void` | `setComponentTypes(Map<String,List<ComponentTypeRepresentation>> componentTypes)`
    `void` | `setEnums(Map<String,List<String>> enums)`
    `void` | `setIdentityProviders(List<Map<String,String>> identityProviders)`
    `void` | `setMemoryInfo(MemoryInfoRepresentation memoryInfo)`
    `void` | `setPasswordPolicies(List<PasswordPolicyTypeRepresentation> passwordPolicies)`
    `void` | `setProfileInfo(ProfileInfoRepresentation profileInfo)`
    `void` | `setProtocolMapperTypes(Map<String,List<ProtocolMapperTypeRepresentation>> protocolMapperTypes)`
    `void` | `setProviders(Map<String,SpiInfoRepresentation> providers)`
    `void` | `setSocialProviders(List<Map<String,String>> socialProviders)`
    `void` | `setSystemInfo(SystemInfoRepresentation systemInfo)`
    `void` | `setThemes(Map<String,List<ThemeInfoRepresentation>> themes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerInfoRepresentation

          public ServerInfoRepresentation()

  - ### Method Detail

    - #### getSystemInfo

          public SystemInfoRepresentation getSystemInfo()

    - #### setSystemInfo

          public void setSystemInfo(SystemInfoRepresentation systemInfo)

    - #### getMemoryInfo

          public MemoryInfoRepresentation getMemoryInfo()

    - #### setMemoryInfo

          public void setMemoryInfo(MemoryInfoRepresentation memoryInfo)

    - #### getProfileInfo

          public ProfileInfoRepresentation getProfileInfo()

    - #### setProfileInfo

          public void setProfileInfo(ProfileInfoRepresentation profileInfo)

    - #### getThemes

          public Map<String,List<ThemeInfoRepresentation>> getThemes()

    - #### setThemes

          public void setThemes(Map<String,List<ThemeInfoRepresentation>> themes)

    - #### getSocialProviders

          public List<Map<String,String>> getSocialProviders()

    - #### setSocialProviders

          public void setSocialProviders(List<Map<String,String>> socialProviders)

    - #### getIdentityProviders

          public List<Map<String,String>> getIdentityProviders()

    - #### setIdentityProviders

          public void setIdentityProviders(List<Map<String,String>> identityProviders)

    - #### getClientImporters

          public List<Map<String,String>> getClientImporters()

    - #### setClientImporters

          public void setClientImporters(List<Map<String,String>> clientImporters)

    - #### getProviders

          public Map<String,SpiInfoRepresentation> getProviders()

    - #### setProviders

          public void setProviders(Map<String,SpiInfoRepresentation> providers)

    - #### getProtocolMapperTypes

          public Map<String,List<ProtocolMapperTypeRepresentation>> getProtocolMapperTypes()

    - #### setProtocolMapperTypes

          public void setProtocolMapperTypes(Map<String,List<ProtocolMapperTypeRepresentation>> protocolMapperTypes)

    - #### getBuiltinProtocolMappers

          public Map<String,List<ProtocolMapperRepresentation>> getBuiltinProtocolMappers()

    - #### setBuiltinProtocolMappers

          public void setBuiltinProtocolMappers(Map<String,List<ProtocolMapperRepresentation>> builtinProtocolMappers)

    - #### getEnums

          public Map<String,List<String>> getEnums()

    - #### setEnums

          public void setEnums(Map<String,List<String>> enums)

    - #### getClientInstallations

          public Map<String,List<ClientInstallationRepresentation>> getClientInstallations()

    - #### setClientInstallations

          public void setClientInstallations(Map<String,List<ClientInstallationRepresentation>> clientInstallations)

    - #### getPasswordPolicies

          public List<PasswordPolicyTypeRepresentation> getPasswordPolicies()

    - #### setPasswordPolicies

          public void setPasswordPolicies(List<PasswordPolicyTypeRepresentation> passwordPolicies)

    - #### getComponentTypes

          public Map<String,List<ComponentTypeRepresentation>> getComponentTypes()

    - #### setComponentTypes

          public void setComponentTypes(Map<String,List<ComponentTypeRepresentation>> componentTypes)

Copyright © 2021 JBoss by Red Hat. All rights reserved.